summaryrefslogtreecommitdiff
path: root/iconvdata/tst-table.sh
diff options
context:
space:
mode:
authorUlrich Drepper <drepper@redhat.com>2002-04-24 21:41:32 +0000
committerUlrich Drepper <drepper@redhat.com>2002-04-24 21:41:32 +0000
commitbe479a6dfe81c5b426e2cbabd62be2c042ab2d45 (patch)
treec55280e0695ca1cc79cfa969ed61838ad9bcbc46 /iconvdata/tst-table.sh
parent0e15c4b6b59de21ef1f6f446a644ac3ed041016c (diff)
* charmaps/GB18030: Add Unicode planes 1 (scripts, symbols), 2 (CJK),
14 (tags), 15 and 16 (private use), accidentally removed by the 2002-01-16 patch. Replace width table by one which is based on Unicode but is biased for CJK.
Diffstat (limited to 'iconvdata/tst-table.sh')
-rwxr-xr-xiconvdata/tst-table.sh26
1 files changed, 13 insertions, 13 deletions
diff --git a/iconvdata/tst-table.sh b/iconvdata/tst-table.sh
index 7b3ad92c1e..1de7114868 100755
--- a/iconvdata/tst-table.sh
+++ b/iconvdata/tst-table.sh
@@ -38,6 +38,13 @@ set -e
${SHELL} tst-table-charmap.sh ${charmap:-$charset} \
< ../localedata/charmaps/${charmap:-$charset} \
> ${objpfx}tst-${charset}.charmap.table
+# When the charset is GB18030, truncate this table because for this encoding,
+# the tst-table-from and tst-table-to programs scan the Unicode BMP only.
+if test ${charset} = GB18030; then
+ grep '0x....$' < ${objpfx}tst-${charset}.charmap.table \
+ > ${objpfx}tst-${charset}.truncated.table
+ mv ${objpfx}tst-${charset}.truncated.table ${objpfx}tst-${charset}.charmap.table
+fi
# Precomputed expexted differences between the charmap and iconv forward.
precomposed=${charset}.precomposed
@@ -68,21 +75,14 @@ diff ${objpfx}tst-${charset}.charmap.table ${objpfx}tst-${charset}.inverse.table
# Check 1: charmap and iconv forward should be identical, except for
# precomposed characters.
-if test ${charset} = GB18030; then
- grep '0x....$' < ${objpfx}tst-${charset}.charmap.table \
- > ${objpfx}tst-${charset}.truncated.table
- cmp -s ${objpfx}tst-${charset}.truncated.table ${objpfx}tst-${charset}.table ||
+if test -f ${precomposed}; then
+ cat ${objpfx}tst-${charset}.table ${precomposed} | sort | uniq -u \
+ > ${objpfx}tst-${charset}.tmp.table
+ cmp -s ${objpfx}tst-${charset}.charmap.table ${objpfx}tst-${charset}.tmp.table ||
exit 1
else
- if test -f ${precomposed}; then
- cat ${objpfx}tst-${charset}.table ${precomposed} | sort | uniq -u \
- > ${objpfx}tst-${charset}.tmp.table
- cmp -s ${objpfx}tst-${charset}.charmap.table ${objpfx}tst-${charset}.tmp.table ||
- exit 1
- else
- cmp -s ${objpfx}tst-${charset}.charmap.table ${objpfx}tst-${charset}.table ||
- exit 1
- fi
+ cmp -s ${objpfx}tst-${charset}.charmap.table ${objpfx}tst-${charset}.table ||
+ exit 1
fi
# Check 2: the difference between the charmap and iconv backward.